package com.zehong.system.mapper;

import java.util.List;

import com.zehong.system.domain.TDetectorUser;
import com.zehong.system.domain.TYehuaqiUser;
import com.zehong.system.domain.vo.TDetectorUserVO;
import com.zehong.system.domain.vo.TYehuaqiUserVO;

/**
 * 燃气用户Mapper接口
 * 
 * @author zehong
 * @date 2022-09-14
 */
public interface TYehuaqiUserMapper 
{
    /**
     * 查询燃气用户
     * 
     * @param userId 燃气用户ID
     * @return 燃气用户
     */
    public TYehuaqiUser selectTYehuaqiUserById(Long userId);

    /**
     * 查询燃气用户列表
     * 
     * @param tYehuaqiUser 燃气用户
     * @return 燃气用户集合
     */
    public List<TYehuaqiUser> selectTYehuaqiUserList(TYehuaqiUser tYehuaqiUser);
    public List<TYehuaqiUser> selectTYehuaqiUserListTwo(TYehuaqiUser tYehuaqiUser);

    /**
     * 新增燃气用户
     * 
     * @param tYehuaqiUser 燃气用户
     * @return 结果
     */
    public int insertTYehuaqiUser(TYehuaqiUser tYehuaqiUser);

    /**
     * 修改燃气用户
     * 
     * @param tYehuaqiUser 燃气用户
     * @return 结果
     */
    public int updateTYehuaqiUser(TYehuaqiUser tYehuaqiUser);

    /**
     * 删除燃气用户
     * 
     * @param userId 燃气用户ID
     * @return 结果
     */
    public int deleteTYehuaqiUserById(Long userId);

    /**
     * 批量删除燃气用户
     * 
     * @param userIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTYehuaqiUserByIds(Long[] userIds);

}
